Skip to Main Content
Riverty Docs
riverty logo Docs

Update Shipping Details

Update shipping details information of the specific capture

Path

PATCH /api/v3/orders/{orderNumber}/captures/{captureNumber}/shipping-details/{shippingNumber}

Request Parameters

orderNumber
required
string
Order number
captureNumber
required
string
Capture number
shippingNumber
required
integer <int32>
Shipping number

Request Body

application/json

type
required
string
Enum:
  • Shipment
  • Return
shippingCompany
required
string
Max length: 200
Company name providing shipping
trackingId
required
string
Max length: 100
Tracking ID
trackingUrl
string
Max length: 2083
Webpage URL to track shipping status

Responses

  • 200 OK
  • type
    string
    Enum:
    • BusinessError
    • TechnicalError
    • NotificationMessage
    code
    string
    Max length: 100
    Confirmation or error code
    message
    string
    Max length: 4096
    Message content
    customerFacingMessage
    string
    Max length: 4096
    Message to display to customer
    actionCode
    string
    Enum:
    • Unavailable
    • AskConsumerToConfirm
    • AskConsumerToReEnterData
    • OfferSecurePaymentMethods
    • RequiresSsn
    • AskConsumerToIdentify
    • ManualReview
    Action codes
    fieldReference
    string
    Max length: 100
    Reference to field that caused an error
  • 401 Authorization has been denied for this request.
  • 413 Request body too large.
  • 429 Too many requests.
  • 500 Internal server error.
Successful Request, trackingId ChangedUnsuccessful Request, Incorrect Shipping Number

Request Example

    
        {
 "type": "shipment",
 "trackingId": "3SBCC000123457",
 "trackingUrl": "https://www.dhl.de/en/privatkunden/dhl-sendungsverfolgung.html",
 "shippingCompany": "DHL"
}
    

Response Example

    
        {}